* {
    margin: 0;
    padding: 0;
}

.body{
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    align-items: center;
    width: 80%;
    border: black solid 3px;
    margin: 5% 8%;
    padding: 15px 5px;
    height: fit-content;
}

.body ul{
    list-style: none;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(33%, 1fr));
    align-items: center;
    width: 90%;
    justify-content: center;
    padding: 0;
    height: auto;
}

.body h2{
    margin: 10px;
}

.body p{
    width: 80%;
    margin: 10px;
}

.body ul li{
    display: flex;
    flex-direction: column;
    margin: 15px;
}

.image{
    text-decoration: none;
    color: darkcyan;
    margin: 15px;
    padding: 5px 10px;
    border-radius: 5px;
}

.image img{
    margin: 5px;
    min-height: 250px !important;
}

img{
    width: 100%;
    max-height: 600px;
    max-width: 600px;
    min-height: 500px;
}

.confirmation-modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 20px;
    border: 1px solid #ccc;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;
}

.confirmation-modal p {
    margin-bottom: 10px;
}

.confirmation-modal button {
    padding: 10px 15px;
    background-color: #007bff;
    color: white;
    border: none;
    cursor: pointer;
}

.confirmation-modal button:hover {
    background-color: #0056b3;
}

.auth {
    text-align: center;
    align-items: center;
    width: 30%;
    margin: 15% 33%;
    padding: 15px 5px;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: #0c5460;
    border-radius: 15px;
    color: white;
}


.auth input{
    display: flex;
    flex-direction: column;
    margin: 15px;
    padding: 5px;
    height: 30px;
    width: 200px;
    border-radius: 5px;
}

.auth button{
    background-color: darkcyan;
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
}

.error {
    color: red;
    font-size: 12px;
    margin-top: 5px;
}
